/* 
	MCV-2313
		MIDI to CV converter 

	MCV-2313 Configurations

	$RCSfile$
	$Revision: 28 $
	$Author  Satoshi "Chuck" Takagi $
	$Date: 2006-12-09 18:03:58 +0900 (土, 09 12 2006) $
 */

#ifdef MCV2313A

#define LEGATO_MEMSIZ 10

#define PRIORITY_LATTER
#undef PRESERVE_NOTEON_VELOCITY
#define RETRIGGER_TIME_ORDER_DEC

#define MIDI_CONFIG_CV0_src 0xff
#define MIDI_CONFIG_CV1_src 0xff
#define MIDI_CONFIG_CV2_src 0xff
#define MIDI_CONFIG_CV2_alt_src 0x0b
#define MIDI_CONFIG_CV3_src 0x01
#define MIDI_CONFIG_CV3_alt_src 0x05
#define MIDI_CONFIG_GATE0_src 0xff
#define MIDI_CONFIG_GATE1_src 0x40
#define MIDI_CONFIG_GATE2_src 0x42
#define MIDI_CONFIG_GATE3_src 0x43
#define MIDI_CONFIG_GATE3_alt_src 0x41

#endif // MCV2313A


#ifdef MCV2313C

#define LEGATO_MEMSIZ 0

#define MIDI_CONFIG_CV0_src 0x07
#define MIDI_CONFIG_CV1_src 0x0a
#define MIDI_CONFIG_CV2_src 0x0b
#define MIDI_CONFIG_CV2_alt_src 0x04
#define MIDI_CONFIG_CV3_src 0x05
#define MIDI_CONFIG_CV3_alt_src 0x01
#define MIDI_CONFIG_GATE0_src 0x50
#define MIDI_CONFIG_GATE1_src 0x51
#define MIDI_CONFIG_GATE2_src 0x52
#define MIDI_CONFIG_GATE3_src 0x53
#define MIDI_CONFIG_GATE3_alt_src 0x43

#endif // MCV2313C

